// hide arrows if there is one image

// var cards = document.getElementsByClassName("card");

// for (var i = 0; i < cards.length; i++) {
//     var gallery = cards[i].getElementsByClassName("carousel-item");
//     var slidersLeft = cards[i].getElementsByClassName("carousel-control-prev");
//     var slidersRight = cards[i].getElementsByClassName("carousel-control-next");

//     if (gallery.length == 1) {
//         for (var j = 0; j < slidersLeft.length; j++) {
//             slidersLeft[j].style.display = "none";
//         }

//         for (var j = 0; j < slidersRight.length; j++) {
//             slidersRight[j].style.display = "none";
//         }
//     }
// }

// var thumbnails = document.getElementsByClassName("thumbnail");
//         var slideLeft = document.getElementById("slideLeft");
//         var slideRight = document.getElementById("slideRight");

//         if (thumbnails.length === 0) {
//             slideLeft.style.display = "none";
//             slideRight.style.display = "none";
//         }




// for animation
AOS.init();



// how to make dynamic margin depends on height
const element = document.querySelector('.dynamic-margin');

function updateMarginBottom() {
    const height = element.offsetHeight; // Get the element's height
    element.style.setProperty('--margin-bottom', `${height}px`); // Set it as margin-bottom
}

// Initial update
updateMarginBottom();

// Update on window resize if height may change
window.addEventListener('resize', updateMarginBottom);





/*scroll animation*/
function reveal() {
    var reveals = document.querySelectorAll(".reveal");

    for (var i = 0; i < reveals.length; i++) {
        var windowHeight = window.innerHeight;
        var elementTop = reveals[i].getBoundingClientRect().top;
        var elementVisible = 150;

        if (elementTop < windowHeight - elementVisible) {
            reveals[i].classList.add("active");
        } else {
            reveals[i].classList.remove("active");
        }
    }
}

window.addEventListener("scroll", reveal);




//change icon
function changeToggle(anchor) {
    var icon = anchor.querySelector("i");
    icon.classList.toggle('fa-bars-staggered');
    icon.classList.toggle('fa-xmark');

}

function changeIcon(anchor) {
    var icon = anchor.querySelector("i");
    icon.classList.toggle('fa-circle-plus');
    icon.classList.toggle('fa-circle-minus');

}



// Function to hide arrows and pagination if there is only one slide
function hideControlsIfSingleSlide() {
    var slides = document.querySelectorAll('.slideshow .slide');
    var arrows = document.querySelector('.slideshow .arrows');
    var pagination = document.querySelector('.slideshow .pagination');

    if (slides.length <= 1) {
        if (arrows) arrows.style.display = 'none';
        if (pagination) pagination.style.display = 'none';
    }
}

// Call the function on page load
document.addEventListener('DOMContentLoaded', hideControlsIfSingleSlide);